[bug#35698] gnu: postgresql: Replace with 10.8 [securityfixes].
diff mbox series

Message ID 20190512122550.3499-1-mbakke@fastmail.com
State New
Headers show
Series
  • [bug#35698] gnu: postgresql: Replace with 10.8 [securityfixes].
Related show

Checks

Context Check Description
cbaines/applying patch success Successfully applied

Commit Message

Marius Bakke May 12, 2019, 12:25 p.m. UTC
This fixes CVE-2019-10129 and CVE-2019-10130.

* gnu/packages/databases.scm (postgresql)[replacement]: New field.
(postgresql-10.8): New variable.
---
 gnu/packages/databases.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

Comments

Marius Bakke May 25, 2019, 10:57 a.m. UTC | #1
Marius Bakke <mbakke@fastmail.com> writes:

> This fixes CVE-2019-10129 and CVE-2019-10130.
>
> * gnu/packages/databases.scm (postgresql)[replacement]: New field.
> (postgresql-10.8): New variable.

I almost forgot this patch.

Pushed in a52c807a393ae0a9b59918a4f451c9e59ff7ec0e.

Patch
diff mbox series

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index b632f05db4..295395f035 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -800,6 +800,7 @@  as a drop-in replacement of MySQL.")
   (package
     (name "postgresql")
     (version "10.7")
+    (replacement postgresql-10.8)
     (source (origin
               (method url-fetch)
               (uri (string-append "https://ftp.postgresql.org/pub/source/v"
@@ -842,6 +843,22 @@  TIMESTAMP.  It also supports storage of binary large objects, including
 pictures, sounds, or video.")
     (license (license:x11-style "file://COPYRIGHT"))))
 
+;; This release fixes CVE-2019-10129 and CVE-2019-10130.  See
+;; <https://www.postgresql.org/about/news/1939/> for details.
+;; TODO: Remove this in the next rebuild cycle.
+(define-public postgresql-10.8
+  (package
+    (inherit postgresql)
+    (version "10.8")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://ftp.postgresql.org/pub/source/v"
+                                  version "/postgresql-" version ".tar.bz2"))
+              (sha256
+               (base32
+                "0pfdmy4w95b49w9rkn8dwvzmi2brpqfvbxd04y0k0s0xvymc565i"))
+              (patches (search-patches "postgresql-disable-resolve_symlinks.patch"))))))
+
 (define-public postgresql-9.6
   (package
     (inherit postgresql)